Subject: Re: linux-next: v4l-dvb tree build failure

From: Mauro Carvalho Chehab <[email-masked]>
Date: Mon, 6 Apr 2009 22:20:55 -0300

On Tue, 7 Apr 2009 10:58:32 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi Mauro,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> drivers/media/video/v4l2-common.c: In function 'v4l2_i2c_new_probed_subdev_addr':
> drivers/media/video/v4l2-common.c:874: warning: passing argument 1 of 'v4l2_i2c_new_probed_subdev' from incompatible pointer type
> drivers/media/video/v4l2-common.c:874: warning: passing argument 2 of 'v4l2_i2c_new_probed_subdev' from incompatible pointer type
> drivers/media/video/v4l2-common.c:874: warning: passing argument 4 of 'v4l2_i2c_new_probed_subdev' from incompatible pointer type
> drivers/media/video/v4l2-common.c:874: error: too many arguments to function 'v4l2_i2c_new_probed_subdev'
> 
> Caused by commit b97a45dfbd99a414a1af8e7224ab12d6ccbe3789 ("V4L/DVB
> (11374): v4l2-common: add v4l2_i2c_new_probed_subdev_addr").
> 
> This was clearly never even built ...
> 
> I have used the v4l-dvb tree fomr next-20090406 for today.
> 

I suspect that you've pulled from my tree a few hours ago, before I fix a merge
conflict. This were already fixed. 

The only compilation messages I'm getting here are a few warnings about
the usage of the deprecated i2c API:

drivers/media/video/ir-kbd-i2c.c: In function ‘ir_attach’:
drivers/media/video/ir-kbd-i2c.c:420: warning: ‘i2c_attach_client’ is deprecated (declared at include/linux/i2c.h:434)
drivers/media/video/ir-kbd-i2c.c:455: warning: ‘i2c_detach_client’ is deprecated (declared at include/linux/i2c.h:435)
drivers/media/video/ir-kbd-i2c.c: In function ‘ir_detach’:
drivers/media/video/ir-kbd-i2c.c:471: warning: ‘i2c_detach_client’ is deprecated (declared at include/linux/i2c.h:435)

Cheers,
Mauro